%define name	  quakeforge
%define namegl %{name}gl
%define namesw %{name}sw
%define version 0.5.5
%define distsuffix plf
%define release %mkrel 2
%define major 0
%define majorgl 0
%define majorsw 0
#
%define libname %mklibname %name %major
%define libnamedevel %{libname}-devel
#
%define libnamegl %mklibname %{namegl} %{majorgl}
%define libnamesw %mklibname %{namesw} %{majorsw}

Summary:	QuakeForge 3D game engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}16.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}48.png.bz2
Patch0:     quakeforge-0.5.5-static-abuse.patch
Group:		Games/Arcade
License:	GPL
URL:		http://www.quakeforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
#Patch0:	%{name}-0.5.2-snd_dma.c-patch.bz2
#Patch0:		%{name}-0.5.4-alsa_fix.patch
BuildRequires:	Mesa-common
BuildRequires:	libMesaGLU-devel
BuildRequires:	SDL-devel
BuildRequires:	automake1.7
BuildRequires:  bison
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:  xmms-devel

%description
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package is in plf because it requires non free data.

%package -n %libname
Summary: QuakeForge 3D game engine - common files and shared libraries
Group:	 Games/Arcade
Provides: lib%{name} = %{version}-%{release}

%description -n %libname
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains shared libraries common to all QuakeForge packages.

%package -n %libnamedevel
Summary:  QuakeForge 3D game engine - headers and devel libs
Group:	  Games/Arcade
Requires: %{libname} = %{version}-%{release}
Requires: %{libnamegl} = %{version}-%{release}
Requires: %{libnamesw} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description  -n %libnamedevel
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains headers and static libraries for the development of
utilities and applications for QuakeForge.

%package -n %libnamegl
Summary: QuakeForge 3D game engine - OpenGL renderer libraries
Group:	 Games/Arcade
Provides: lib%{name}-gl = %{version}-%{release}

%description -n %libnamegl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the shared libraries needed to use the OpenGL
rendering targets.

%package -n %libnamesw
Summary: QuakeForge 3D game engine - Software renderer libraries
Group:	 Games/Arcade
Provides: lib%{name}-devel

%description -n %libnamesw
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the shared libraries needed to use the software
rendering targets.

%package -n qfcc
Summary:  QuakeForge QC/Ruamoko compiler
Group:	  Games/Arcade
Requires: %libname-devel = %{version}-%{release}

%description -n qfcc
QFCC is an optimizing byte-code compiler for the Ruamoko language, a language
based strongly on Id Software\'s QuakeC. The bytecode interpreter for QuakeC
and Ruamoko is located inside the Quake engine (though there is a standalone
interpreter available).

QFCC is designed to work with the QuakeForge engines, but will work with
most non-QuakeForge servers with a couple of changes to its command-line
options.

#
# Quakeforge 3DFX clients
#%package clients-3dfx
#Summary:  QuakeForge 3D game engine - glx client
#Group:	  Games/Arcade
#Requires: quakeforge-common = %{version}-%{release}
#Requires: quakeforge-plugins = %{version}-%{release}
#Requires: %libname = %{version}-%{release}
#Requires: %libnamegl = %{version}-%{release}
# Requires: libsvgalib1

#%description clients-3dfx
#QuakeForge is a source port of Quake and QuakeWorld, the successors to id
#Software\'s very popular DOOM series. Its primary development goal is to
#remain compatible with the original games released by id Software while
#adding portability and optional extensions to enhance gameplay.

#This package contains the 3DFX versions of the QuakeForge client and
#standalone engine.

# Quakeforge framebuffer clients
%package clients-fbdev
Summary:  QuakeForge 3D game engine - framebuffer client
Group:	  Games/Arcade
Requires: quakeforge-common = %{version}-%{release}
Requires: quakeforge-plugins = %{version}-%{release}
Requires: %libname = %{version}-%{release}
Requires: %libnamegl = %{version}-%{release}
Requires: %libnamesw = %{version}-%{release}
#Requires: libsvgalib1

%description clients-fbdev
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the FB versions of the QuakeForge client and
standalone engine.

# Quakeforge GLX clients
%package clients-glx
Summary:  QuakeForge 3D game engine - glx client
Group:	  Games/Arcade
Requires: quakeforge-common = %{version}-%{release}
Requires: quakeforge-plugins = %{version}-%{release}
Requires: %libname = %{version}-%{release}
Requires: %libnamegl = %{version}-%{release}

%description clients-glx
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the GLX versions of the QuakeForge client and
standalone engine.

# Quakeforge SDL clients
%package clients-sdl
Summary:  QuakeForge 3D game engine - SDL client
Group:    Games/Arcade
Requires: quakeforge-common = %{version}-%{release}
Requires: quakeforge-plugins = %{version}-%{release}
Requires: %libname = %{version}-%{release}
Requires: %libnamesw = %{version}-%{release}
Requires: libSDL1.2

%description clients-sdl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the SDL versions of the QuakeWorld client and
standalone engine.

# Quakeforge SDL-GL clients
%package clients-sdlgl
Summary:  QuakeForge 3D game engine - SDL-GL client
Group:    Games/Arcade
Requires: quakeforge-common = %{version}-%{release}
Requires: quakeforge-plugins = %{version}-%{release}
Requires: %libname = %{version}-%{release}
Requires: %libnamegl = %{version}-%{release}
Requires: libSDL1.2

%description clients-sdlgl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the SDL-GL versions of the QuakeForge client and
standalone engine.

# Obsolete package
# Quakeforge SVGA clients
#%package clients-svga
#Summary:  QuakeForge 3D game engine - SVGAlib client
#Group:	  Games/Arcade
#Requires: quakeforge-common = %{version}-%{release}
#Requires: quakeforge-plugins = %{version}-%{release}
#Requires: libquakeforge = %{version}-%{release}
#Requires: libquakeforge-sw = %{version}-%{release}
#Requires: libsvgalib1

#%description clients-svga
#QuakeForge is a source port of Quake and QuakeWorld, the successors to id
#Software\'s very popular DOOM series. Its primary development goal is to
#remain compatible with the original games released by id Software while
#adding portability and optional extensions to enhance gameplay.

#This package contains the SVGAlib versions of the QuakeWorld client and
#standalone engine.

# Quakeforge X11 clients
%package clients-x11
Summary:  QuakeForge 3D game engine - X11 client
Group:    Games/Arcade
Requires: quakeforge-common = %{version}-%{release}
Requires: quakeforge-plugins = %{version}-%{release}
Requires: %libname = %{version}-%{release}
Requires: %libnamesw = %{version}-%{release}

%description clients-x11
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains the X11 versions of the QuakeForge client and
standalone engine.

# Quakeforge common files
%package common
Summary: QuakeForge 3D game engine - common files and shared libraries
Group:	 Games/Arcade

%description common
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains common to all QuakeForge packages.

# Maptools
%package maptools
Summary:  QuakeForge 3D game engine - headers and devel libs
Group:	  Games/Arcade
Requires: %libname = %{version}-%{release}

%description maptools
This package contains QuakeForge\'s versions of the tools Id Software used
to create maps for the Quake engine. Included are:

* qfbsp, a program for compiling a map file into a BSP tree.
* qflight, a program for generating lightmaps from the static lights in a
  BSP file.
* qfvis, a program for generating the Possibly-Visible Set information from
  a BSP and a portal information file (generated by qfbsp).

# Plugins
%package plugins
Summary: Plugins for QuakeForge
Group:	   Games/Arcade
Requires:  libogg0
Requires:  libncurses5
Obsoletes: quakeforge-plugins-oss, quakeforge-plugins-alsa.

%description plugins
Sound and CD driver plugins for Quakeforge.

%package servers
Summary:  QuakeForge 3D game engine - Server
Group:    Games/Arcade
Requires: %libname = %{version}-%{release}
#Requires: libncurses

%description servers
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software\'s very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

This package contains both the QuakeWorld-compatible and
NetQuake-compatible dedicated servers, as well as a simple
QuakeWorld-compatible master server.

# Tools
%package utils
Summary:  QuakeForge 3D game engine - utility programs
Group:	  Games/Arcade
Requires: %libname = %{version}-%{release}

%description utils
This package contains several tools for use with QuakeForge:
* pak, a pakfile management tool.
* zpak, a script for compressing pakfiles.
* qfdefs, a tool for fixing up progs data files so they can be used with
  QuakeForge-based servers.
* qfprogs, a "nm" tool for examining progs data files.
* qfwavinfo, a tool to assist in converting "looped" WAV files to Ogg Vorbis.

# Extract, compile and install
%prep
%setup -q
%patch0 -p0 -b .static-abuse

%build
autoconf

CFLAGS="%{optflags}" \
./configure --prefix="%{_prefix}" \
	    --bindir="%{_gamesbindir}" \
	    --datadir="%{_datadir}" \
	    --includedir="%{_includedir}" \
	    --libdir="%{_libdir}/games/quakeforge" \
	    --mandir="%{_mandir}" \
	    --sysconfdir="%{_sysconfdir}" \
	    \
	    --with-global-cfg="%{_sysconfdir}/quakeforge.conf" \
	    --with-user-cfg="~/.quakeforge/quakeforgerc" \
	    --with-plugin-path="%{_libdir}/games/quakeforge/plugins" \
	    --with-sharepath="%{_gamesdatadir}/quakeforge" \
	    \
		--disable-debug \
	    --with-arch="%{_target_cpu}"

%make

%install
rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR="${RPM_BUILD_ROOT}" \
	     PLUGINDIR="${RPM_BUILD_ROOT}%{_libdir}/games/quakeforge/plugins"

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp RPM/quakeforge.conf ${RPM_BUILD_ROOT}%{_sysconfdir}
bzip2 -c doc/man/quakeforge.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/quakeforge.1.bz2
cp tools/qwaq/.libs/qwaq ${RPM_BUILD_ROOT}%{_gamesbindir}

# Icons
install -d ${RPM_BUILD_ROOT}{%_miconsdir,%_liconsdir}
bzcat %{SOURCE1} > ${RPM_BUILD_ROOT}%{_miconsdir}/%name.png
bzcat %{SOURCE2} > ${RPM_BUILD_ROOT}%{_iconsdir}/%name.png
bzcat %{SOURCE3} > ${RPM_BUILD_ROOT}%{_liconsdir}/%name.png

# Menus
install -d ${RPM_BUILD_ROOT}%{_menudir}
install -d $RPM_BUILD_ROOT%{_datadir}/applications

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}-clients-fbdev
?package(%{name}-clients-fbdev): needs="x11" \\
				 section="Amusement/Arcade/QuakeForge/QuakeWorld" \\
				 title="QuakeForge QW FB" \\
				 longtitle="QuakeForge 3D game engine" \\
				 icon="%{name}.png" \\
				 command="%{_gamesbindir}/qw-client-fbdev" \\
                 xdg="true"
?package(%{name}-clients-fbdev): needs="x11" \\
				 section="Amusement/Arcade/QuakeForge/NQuake" \\
				 title="QuakeForge NQ FB" \\
				 longtitle="QuakeForge 3D game engine" \\
				 icon="%{name}.png" \\
				 command="%{_gamesbindir}/nq-fbdev" \\
                 xdg="true"
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-qw-fbdev.desktop << EOF
[Desktop Entry]
Name=QuakeForge QW FB
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/qw-client-fbdev
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-nq-fbdev.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ FB
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/nq-fbdev
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF


cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}-clients-glx
?package(%{name}-clients-glx): needs="x11" \\
			       section="Amusement/Arcade/QuakeForge/QuakeWorld" \\
			       title="QuakeForge QW GL" \\
			       longtitle="QuakeForge 3D game engine" \\
			       icon="%{name}.png" \\
			       command="%{_gamesbindir}/qw-client-glx" \\
                   xdg="true"
?package(%{name}-clients-glx): needs="x11" \\
			       section="Amusement/Arcade/QuakeForge/NQuake" \\
			       title="QuakeForge NQ GL" \\
			       longtitle="QuakeForge 3D game engine" \\
			       icon="%{name}.png" \\
			       command="%{_gamesbindir}/nq-glx" \\
                   xdg="true"
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-qw-glx.desktop << EOF
[Desktop Entry]
Name=QuakeForge QW GL
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/qw-client-glx
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-nq-glx.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ GL
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/nq-glx
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}-clients-sdl
?package(%{name}-clients-sdl): needs="x11" \\
			       section="Amusement/Arcade/QuakeForge/QuakeWorld" \\
			       title="QuakeForge QW SDL" \\
			       longtitle="QuakeForge 3D game engine" \\
			       icon="%{name}.png" \\
			       command="%{_gamesbindir}/qw-client-sdl" \\
                   xdg="true"
?package(%{name}-clients-sdl): needs="x11" \\
			       section="Amusement/Arcade/QuakeForge/NQuake" \\
			       title="QuakeForge NQ SDL" \\
			       longtitle="QuakeForge 3D game engine" \\
			       icon="%{name}.png" \\
			       command="%{_gamesbindir}/nq-sdl" \\
                   xdg="true"
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-qw-sdl.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ GL
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/qw-client-sdl
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-nq-sdl.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ GL
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/nq-sdl
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}-clients-sdlgl
?package(%{name}-clients-sdlgl): needs="x11" \\
			         section="Amusement/Arcade/QuakeForge/QuakeWorld" \\
			         title="QuakeForge QW SDL-GL" \\
			         longtitle="QuakeForge 3D game engine" \\
			         icon="%{name}.png" \\
			         command="%{_gamesbindir}/qw-client-sgl" \\
                     xdg="true"
?package(%{name}-clients-sdlgl): needs="x11" \\
			         section="Amusement/Arcade/QuakeForge/NQuake" \\
			         title="QuakeForge NQ SDL-GL" \\
			         longtitle="QuakeForge 3D game engine" \\
			         icon="%{name}.png" \\
			         command="%{_gamesbindir}/nq-sgl" \\
                     xdg="true"
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-qw-sdlgl.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ SDL-GL
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/qw-client-sgl
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-nq-sdlgl.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ SDL-GL
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/nq-sgl
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}-clients-x11
?package(%{name}-clients-x11): needs="x11" \\
			       section="Amusement/Arcade/QuakeForge/QuakeWorld" \\
			       title="QuakeForge QW X11" \\
			       longtitle="QuakeForge 3D game engine" \\
			       icon="%{name}.png" \\
			       command="%{_gamesbindir}/qw-client-x11" \\
                   xdg="true"
?package(%{name}-clients-x11): needs="x11" \\
			       section="Amusement/Arcade/QuakeForge/NQuake" \\
			       title="QuakeForge NQ X11" \\
			       longtitle="QuakeForge 3D game engine" \\
			       icon="%{name}.png" \\
			       command="%{_gamesbindir}/nq-x11" \\
                   xdg="true"
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-qw-X11.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ X11
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/qw-client-X11
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-nq-X11.desktop << EOF
[Desktop Entry]
Name=QuakeForge NQ X11
Comment=QuakeForge 3D game engine
Exec=%{_gamesbindir}/nq-X11
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post

if [ ! -f %{_gamesdatadir}/quakeforge/QF/pak0.pak]; then

    echo -e "Warning: \"%{_gamesdatadir}/quakeforge/QF/pak0.pak not found\""
    echo -e "Install either the shareware or registered quake data in"
    echo -e "\"%{_gamesdatadir}/quakeforge/QF/\""

fi

%post clients-fbdev
%{update_menus}

%postun clients-fbdev
%{clean_menus}

%post clients-glx
%{update_menus}

%postun clients-glx
%{clean_menus}

%post clients-sdl
%{update_menus}

%postun clients-sdl
%{clean_menus}

%post clients-sdlgl
%{update_menus}

%postun clients-sdlgl
%{clean_menus}

%post clients-x11
%{update_menus}

%postun clients-x11
%{clean_menus}

%post common
%{update_menus}

%postun common
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

# Libs
%files -n %libname
%defattr(-,root,root,755)
%dir %{_libdir}/games/quakeforge
%dir %{_libdir}/games/quakeforge/plugins
%{_libdir}/games/quakeforge/libQFcd.so.*
%{_libdir}/games/quakeforge/libQFconsole.so.*
#%{_libdir}/games/quakeforge/libQFcsqc.so.*
%{_libdir}/games/quakeforge/libQFgamecode.so.*
%{_libdir}/games/quakeforge/libQFgamecode_builtins.so.*
%{_libdir}/games/quakeforge/libQFgib.so.*
%{_libdir}/games/quakeforge/libQFjs.so.*
%{_libdir}/games/quakeforge/libQFmodels.so.*
%{_libdir}/games/quakeforge/libQFsound.so.*
%{_libdir}/games/quakeforge/libQFutil.so.*
%{_libdir}/games/quakeforge/libQFimage.so.*
%{_libdir}/games/quakeforge/libQFruamoko.so.*

# Devel
%files -n %libnamedevel
%defattr(-,root,root,755)
%{_libdir}/games/quakeforge/libQFcd.*a
%{_libdir}/games/quakeforge/libQFcd.so
%{_libdir}/games/quakeforge/libQFconsole.*a
%{_libdir}/games/quakeforge/libQFconsole.so
#%{_libdir}/games/quakeforge/libQFcsqc.*a
#%{_libdir}/games/quakeforge/libQFcsqc.so
%{_libdir}/games/quakeforge/libQFgamecode.*a
%{_libdir}/games/quakeforge/libQFgamecode.so
%{_libdir}/games/quakeforge/libQFgamecode_builtins.*a
%{_libdir}/games/quakeforge/libQFgamecode_builtins.so
%{_libdir}/games/quakeforge/libQFgib.*a
%{_libdir}/games/quakeforge/libQFgib.so
%{_libdir}/games/quakeforge/libQFjs.*a
%{_libdir}/games/quakeforge/libQFjs.so
%{_libdir}/games/quakeforge/libQFmodels.*a
%{_libdir}/games/quakeforge/libQFmodels.so
%{_libdir}/games/quakeforge/libQFsound.*a
%{_libdir}/games/quakeforge/libQFsound.so
%{_libdir}/games/quakeforge/libQFutil.*a
%{_libdir}/games/quakeforge/libQFutil.so
%{_libdir}/games/quakeforge/libQFmodels_gl.*a
%{_libdir}/games/quakeforge/libQFmodels_gl.so
%{_libdir}/games/quakeforge/libQFmodels_sw.*a
%{_libdir}/games/quakeforge/libQFmodels_sw.so
%{_libdir}/games/quakeforge/libQFrenderer_gl.*a
%{_libdir}/games/quakeforge/libQFrenderer_gl.so
%{_libdir}/games/quakeforge/libQFrenderer_sw32.*a
%{_libdir}/games/quakeforge/libQFrenderer_sw32.so
%{_libdir}/games/quakeforge/libQFruamoko.*a
%{_libdir}/games/quakeforge/libQFruamoko.so
%{_libdir}/games/quakeforge/libQFimage.*a
%{_libdir}/games/quakeforge/libQFimage.so
%{_libdir}/games/quakeforge/plugins/*.a
%{_libdir}/games/quakeforge/plugins/*.la
%dir %{_includedir}/QF
%{_includedir}/QF/*.h
%dir %{_includedir}/QF/GL
%{_includedir}/QF/GL/*.h
%dir %{_includedir}/QF/plugin
%{_includedir}/QF/plugin/*.h

# GL libs
%files -n %libnamegl
%defattr(-,root,root,755)
%{_libdir}/games/quakeforge/libQFmodels_gl.so.*
%{_libdir}/games/quakeforge/libQFrenderer_gl.so.*

# Software libs
%files -n %libnamesw
%defattr(-,root,root,755)
%{_libdir}/games/quakeforge/libQFmodels_sw.so.*
%{_libdir}/games/quakeforge/libQFrenderer_sw32.so.*

# Qfcc compiler
%files -n qfcc
%defattr(-,root,root,755)
%{_gamesbindir}/qfcc
%{_gamesbindir}/qfpreqcc
%{_mandir}/man1/qfcc.1*
%dir %{_includedir}/QF/ruamoko
%{_includedir}/QF/ruamoko/*
%dir %{_libdir}/games/quakeforge/ruamoko
%{_libdir}/games/quakeforge/ruamoko/*.a

# 3DFX clients
#%files clients-3dfx
#%defattr(-,root,root,755)
#%{_gamesbindir}/qw-client-3dfx
#%{_gamesbindir}/nq-3dfx

# Framebuffer clients
%files clients-fbdev
%defattr(-,root,root,755)
%{_gamesbindir}/qw-client-fbdev
#%{_gamesbindir}/nq-3dfx
%{_menudir}/%{name}-clients-fbdev
%{_datadir}/applications/mandriva-%{name}-*-fbdev.desktop
%{_gamesbindir}/nq-fbdev

# GLX clients
%files clients-glx
%defattr(-,root,root,755)
%{_gamesbindir}/qw-client-glx
%{_gamesbindir}/nq-glx
%{_menudir}/%{name}-clients-glx
%{_datadir}/applications/mandriva-%{name}-*-glx.desktop

# SDL clients
%files clients-sdl
%defattr(-,root,root,755)
%{_gamesbindir}/qw-client-sdl
%{_gamesbindir}/qw-client-sdl32
%{_gamesbindir}/nq-sdl
%{_gamesbindir}/nq-sdl32
%{_menudir}/%{name}-clients-sdl
%{_datadir}/applications/mandriva-%{name}-*-sdl.desktop

# SDLGL clients
%files clients-sdlgl
%defattr(-,root,root,755)
%{_gamesbindir}/qw-client-sgl
%{_gamesbindir}/nq-sgl
%{_menudir}/%{name}-clients-sdlgl
%{_datadir}/applications/mandriva-%{name}-*-sdlgl.desktop

# SVGA clients
#%files clients-svga
#%defattr(-,root,root,755)
#%attr(4755,root,root) %{_gamesbindir}/qw-client-svga
#%attr(4755,root,root) %{_gamesbindir}/nq-svga

# X11 clients
%files clients-x11
%defattr(-,root,root,755)
%{_gamesbindir}/qw-client-x11
%{_gamesbindir}/nq-x11
%{_menudir}/%{name}-clients-x11
%{_datadir}/applications/mandriva-%{name}-*-X11.desktop

# Common files
%files common
%defattr(-,root,root,755)
%doc COPYING NEWS TODO doc/*.txt doc/config doc/data
%config(noreplace) %{_sysconfdir}/quakeforge.conf
%{_mandir}/man1/quakeforge.1.*
%dir %{_gamesdatadir}/quakeforge
%dir %{_gamesdatadir}/quakeforge/QF
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_gamesdatadir}/quakeforge/QF/menu.dat*
#%{_gamesdatadir}/quakeforge/QF/game.dat

# Maptools
%files maptools
%defattr(-,root,root,755)
%{_gamesbindir}/bsp2img
%{_gamesbindir}/hw-master
%{_gamesbindir}/qfbsp
%{_gamesbindir}/qflight
%{_gamesbindir}/qfvis
%{_mandir}/man1/qflight.1*
%{_mandir}/man1/qfvis.1*

# Plugins
%files plugins
%defattr(-,root,root,755)
%{_libdir}/games/quakeforge/plugins/cd_file.so
%{_libdir}/games/quakeforge/plugins/cd_linux.so*
#%{_libdir}/games/quakeforge/plugins/cd_null.so*
%{_libdir}/games/quakeforge/plugins/cd_sdl.so*
%{_libdir}/games/quakeforge/plugins/cd_xmms.so*
%{_libdir}/games/quakeforge/plugins/console_client.so*
%{_libdir}/games/quakeforge/plugins/console_server.so*
%{_libdir}/games/quakeforge/plugins/snd_output_disk.so*
#%{_libdir}/games/quakeforge/plugins/snd_output_null.so*
%{_libdir}/games/quakeforge/plugins/snd_output_sdl.so*
%{_libdir}/games/quakeforge/plugins/snd_render_default.so*
%{_libdir}/games/quakeforge/plugins/snd_output_alsa.so*
%{_libdir}/games/quakeforge/plugins/snd_output_oss.so*

# Servers
%files servers
%defattr(-,root,root,755)
%{_gamesbindir}/qw-server
%{_gamesbindir}/nq-server
%{_gamesbindir}/qw-master
%{_gamesbindir}/qtv
%{_libdir}/games/quakeforge/plugins/console_server.so*

# Tools
%files utils
%defattr(-,root,root,755)
%{_gamesbindir}/pak
%{_gamesbindir}/zpak
#%{_gamesbindir}/qfdefs
%{_gamesbindir}/qfmodelgen
%{_gamesbindir}/qfprogs
%{_gamesbindir}/qfwavinfo
%{_gamesbindir}/qwaq
%{_gamesbindir}/wad
%{_mandir}/man1/pak.1*
%{_mandir}/man1/wad.1.bz2

%changelog
* Tue Aug 22 2006 Olivier Thauvin <nanardon@zarb.org> 0.5.5-2plf
- plf reason
- xdg menu

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.5.5-1plf
- contributed by Cedric Devillers <brancaleone@altern.org>:
 - 0.5.5
 - Disable alsa fix (alsa 0.5 support dropped, use 0.9 or 1.x)
 - Add "disable-debug" flag
 - Change BuildRequires MesaGLU-devel -> libMesaGLU-devel (to compil on 9.2)
 - Fix %files section

* Sat May 01 2004 Stefan van der Eijk <stefan@zarb.org> 0.5.4-1plf
- 0.5.4
- alsa fix (disable alsa0.5)

* Fri Jul 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-10plf
- rebuild for provides/requires
- buildrequires xmms-devel

* Sat May 24 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-9plf
- distlint error

* Thu Mar 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-8plf
- version tag is plf

* Thu Mar 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-7mdk
- Fix dependencies

* Thu Mar 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-6mdk
- use %%mklibname
- clean up / macroize
- remove svga packages (lib is obsolete)

* Sun Dec 15 2002 Maxim Heijndijk <cchq@wanadoo.nl> 0.5.2-5mdk
- quakeforge-plugins, quakeforge-plugins-oss, quakeforge-plugins-alsa
  rolled into one package.

* Thu Dec 12 2002 Maxim Heijndijk <cchq@wanadoo.nl> 0.5.2-4mdk
- Removed menu.dat, menu.dat.asc external sources.
- Fixed Requires: quakeforge-common, quakeforge-plugins.

* Thu Dec 12 2002 Maxim Heijndijk <cchq@wanadoo.nl> 0.5.2-3mdk
- Fixed location of menu.dat, menu.dat.asc.

* Fri Nov 29 2002 Maxim Heijndijk <cchq@wanadoo.nl> 0.5.2-2mdk
- Changed Menus.

* Sat Oct 19 2002 Maxim Heijndijk <cchq@wanadoo.nl> 0.5.2-1mdk
- 0.5.2.
- Fixed License.
- Removed Packager.
- Sound segfault patch.
- Merged with new spec from www.quakeforge.net.
- Built for Mandrake 9.0 / MandrakeClub.

* Mon Aug 27 2001 Maxim Heijndijk <cchq@wanadoo.nl> 0.30-4
- Fixed %post to return zero exit status

* Thu Aug 09 2001 Maxim Heijndijk <cchq@wanadoo.nl> 0.30-3
- Fixed %post

* Fri Jun 29 2001 Maxim Heijndijk <cchq@wanadoo.nl> 0.30-2
- Added links in %{_gamesbindir}
- Fixed menu entries
- Added icons
- Patches from Conectiva Linux SRPM.
- Added subpackages common-files, x11, svga.

* Thu May 03 2001 Maxim Heijndijk <cchq@wanadoo.nl> 0.30-1
- Used spec from sourceforge.
- Added changelog.
- Initial build.
